<div class="component-wrapper">
    <h2>{{hobby.name}} <button class="btn btn-outline-light" data-toggle="modal" data-target="#hobbyEditForm">🖊</button></h2>
    <p>{{hobby.description}}</p>
    
    <div class="modal fade" id="hobbyEditForm" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit hobby info</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name">Hobby name</label>
                        <input type="text" name="name" id="" [(ngModel)]="editHobbyName" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="description">Hobby description</label>
                        <textarea name="description" id="" [(ngModel)]="editHobbyDescription" class="form-control" rows="7"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" (click)="resetEditFields()" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" (click)="saveEdit()" data-dismiss="modal">Save changes</button>
                </div>
            </div>
        </div>
    </div>

    <div class="image-container">
        <figure *ngFor="let im of images" class="image">
            <img src={{im.href}} alt={{im.alt}}>
            <figcaption>{{im.caption}}</figcaption>
        </figure>
    </div>
</div>